View a markdown version of this page

UpdateDependency - Next generation Resilience Hub

UpdateDependency

Updates a dependency classification.

Request Syntax

POST /v2/update-dependency HTTP/1.1 Content-type: application/json { "comment": "string", "criticality": "string", "dependencyId": "string", "serviceArn": "string" }

URI Request Parameters

The request does not use any URI parameters.

Request Body

The request accepts the following data in JSON format.

comment

A comment about the dependency.

Type: String

Required: No

criticality

The updated criticality level of the dependency.

Type: String

Valid Values: HARD | SOFT | UNKNOWN

Required: No

dependencyId

The identifier of the dependency to update.

Type: String

Length Constraints: Fixed length of 36.

Pattern: [0-9a-f]{8}-[0-9a-f]{4}-[0-5][0-9a-f]{3}-[089ab][0-9a-f]{3}-[0-9a-f]{12}

Required: Yes

serviceArn

ARN identifier.

Type: String

Length Constraints: Minimum length of 31.

Pattern: arn:(aws|aws-cn|aws-iso|aws-iso-[a-z]{1}|aws-us-gov):[A-Za-z0-9][A-Za-z0-9_/.-]{0,62}:([a-z]{2}-((iso[a-z]{0,1}-)|(gov-)){0,1}[a-z]+-[0-9]):[0-9]{12}:[A-Za-z0-9/][A-Za-z0-9:_/+.-]{0,1023}

Required: Yes

Response Syntax

HTTP/1.1 200 Content-type: application/json { "comment": "string", "criticality": "string", "dependencyId": "string", "dependencyName": "string", "location": "string", "provider": "string", "updatedAt": number }

Response Elements

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

comment

The comment about the dependency.

Type: String

criticality

The criticality level of the dependency.

Type: String

Valid Values: HARD | SOFT | UNKNOWN

dependencyId

The identifier of the updated dependency.

Type: String

Length Constraints: Fixed length of 36.

Pattern: [0-9a-f]{8}-[0-9a-f]{4}-[0-5][0-9a-f]{3}-[089ab][0-9a-f]{3}-[0-9a-f]{12}

dependencyName

The name of the updated dependency.

Type: String

location

The location of the dependency.

Type: String

provider

The provider of the dependency.

Type: String

updatedAt

The timestamp when the dependency was updated.

Type: Timestamp

Errors

For information about the errors that are common to all actions, see Common Error Types.

AccessDeniedException

Access denied — caller lacks required permissions.

HTTP Status Code: 403

ConflictException

Conflict — resource already exists.

HTTP Status Code: 409

InternalServerException

Internal service error.

HTTP Status Code: 500

ResourceNotFoundException

Resource not found.

resourceId

The identifier of the resource that was not found.

resourceType

The type of the resource that was not found.

HTTP Status Code: 404

ValidationException

Validation error — invalid input parameters.

fieldList

The list of fields that failed validation.

reason

The reason for the validation failure.

HTTP Status Code: 400

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: